Pterodactyldocs
Application servers

List servers

Retrieves all servers

Available include parameters

ParameterDescription
allocationsList of allocations assigned to the server
userInformation about the server owner
subusersList of users added to the server
nestInformation about the server's egg nest
eggInformation about the server's egg
variablesList of server variables
locationInformation about server's node location
nodeInformation about the server's node
databasesList of databases on the server
GET/api/application/servers

Authorization

ApplicationToken
AuthorizationBearer <token>

Application API key (generated at /admin/api)

In: header

Response Body

application/json

curl -X GET "https://example.com/api/application/servers"
{  "object": "list",  "data": [    {      "object": "server",      "attributes": {        "id": 5,        "external_id": "RemoteId1",        "uuid": "1a7ce997-259b-452e-8b4e-cecc464142ca",        "identifier": "1a7ce997",        "name": "Wuhu Island",        "description": "Matt from Wii Sports",        "suspended": false,        "limits": {          "memory": 512,          "swap": 0,          "disk": 200,          "io": 500,          "cpu": 0,          "threads": null        },        "feature_limits": {          "databases": 5,          "allocations": 5,          "backups": 2        },        "user": 1,        "node": 1,        "allocation": 1,        "nest": 1,        "egg": 5,        "pack": null,        "container": {          "startup_command": "java -Xms128M -Xmx{{SERVER_MEMORY}}M -jar {{SERVER_JARFILE}}",          "image": "quay.io/pterodactyl/core:java",          "installed": true,          "environment": {            "SERVER_JARFILE": "server.jar",            "VANILLA_VERSION": "latest",            "STARTUP": "java -Xms128M -Xmx{{SERVER_MEMORY}}M -jar {{SERVER_JARFILE}}",            "P_SERVER_LOCATION": "Test",            "P_SERVER_UUID": "1a7ce997-259b-452e-8b4e-cecc464142ca"          }        },        "updated_at": "2020-06-13T04:20:53+00:00",        "created_at": "2019-12-23T06:46:27+00:00",        "relationships": {          "databases": {            "object": "list",            "data": [              {                "object": "databases",                "attributes": {                  "id": 1,                  "server": 5,                  "host": 4,                  "database": "s5_perms",                  "username": "u5_QsIAp1jhvS",                  "remote": "%",                  "max_connections": 0,                  "created_at": "2020-06-12T23:00:13+01:00",                  "updated_at": "2020-06-12T23:00:13+01:00"                }              },              {                "object": "databases",                "attributes": {                  "id": 2,                  "server": 5,                  "host": 4,                  "database": "s5_coreprotect",                  "username": "u5_2jtJx1nO1d",                  "remote": "%",                  "max_connections": 0,                  "created_at": "2020-06-12T23:00:20+01:00",                  "updated_at": "2020-06-12T23:00:20+01:00"                }              }            ]          }        }      }    }  ],  "meta": {    "pagination": {      "total": 1,      "count": 1,      "per_page": 50,      "current_page": 1,      "total_pages": 1,      "links": {}    }  }}